Gtk_Arrow(3)

NAME - Gtk_Arrow
Arrow widget

HEADER REQUIRED
#include <gtk--/arrow.h&gt;>

BASE CLASSES
Gtk_Misc(3)

DESCRIPTION
This is intended for use where a directional arrow (in one of the four cardinal directions) is desired. As such, it has very limited functionality and basically only draws itself in a particular direction and with a particular shadow type. The arrow widget will expand to fill all the space it is allocated.

PROPERTIES

arrow_type
    Type: gint16
    Set: set()

     Specifies which direction the arrow will point.

    Possible Values: {num GTK_ARROW_UP}, {num GTK_ARROW_DOWN}, {num GTK_ARROW_LEFT}, {num GTK_ARROW_RIGHT}

shadow_type
    Type: gint16
    Set: set()

     Specifies which direction the arrow will point.

    Possible Values: {num GTK_SHADOW_IN}, {num GTK_SHADOW_OUT}

PUBLIC MEMBER INDEX
    Gtk_Arrow(GtkArrowType arrow_type, GtkShadowType shadow_type);
      Creates an arrow.
    Gtk_Arrow(GtkArrow *castitem);
    void  set(GtkArrowType arrow_type, GtkShadowType shadow_type);
      Changes the direction and shadow of an arrow.
    GtkArrow*  gtkobj();
    const GtkArrow*  gtkobj() const;
    static bool  isGtkArrow(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkArrow  BaseObjectType;
    typedef GtkArrowClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  arrow_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_Arrow::Gtk_Arrow (GtkArrowType arrow_type, GtkShadowType shadow_type);
    Creates an arrow..
    Must specify the direction with arrow_type and the shadow with shadow_type.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS